// оставляем только обработчики, связанные с окном мониторинга
function ws_events_local(obj)
{
   console.log('ws_events_local---------------------------------------------------------------------------------------------------------') ;
   console.log('Статус подписи: hasSigningError='+hasSigningError+', isSigningInProgress='+isSigningInProgress+', очередь: '+packetsQueue.length) ;

   //console.log(JSON.stringify(obj)) ;
   //if (obj.update_page)  location.reload() ;
   if (obj.update_page)  location.reload() ; // команда тут, так как по идее имеет отношение только к мониторингу

   //if (obj.ajax_cmd) send_ajax_request({cmd:obj.ajax_cmd,member_id:obj.member_id,terminal_id:obj.terminal_id})  ;

    //console.log('mo_tr_id='+obj.mo_tr_id) ;

   if (obj.mo_tr_id!=undefined && obj.mo_tr_id>0 )
   {   //console.log('Работаем с МО');
       if ($j('div#panel_last_mo tr#mo_tr_'+obj.mo_tr_id).length) $j('div#panel_last_mo tr#mo_tr_'+obj.mo_tr_id).replaceWith(obj.mo_tr) ;
       else                                                       $j('div#panel_last_mo tr.head').after(obj.mo_tr) ;
       //$j('div#debug_mo').html('last mo id: '+obj.mo_tr_id) ;
       $j('div.list_mo_sessions td.photo div.img img').hover(panel_image_preview_on,panel_image_preview_off) ;
       $j('td.preview_graf').hover(preview_graf_on,preview_graf_off) ;
       $j('.v1').prepare_form({}) ;
       $j('.v2').prepare_ajax({}) ;
   }

   if (obj.kt_tr_id!=undefined && obj.kt_tr_id>0 )
   {   //console.log('Работаем с КТ');
       if ($j('div#panel_last_kt tr#kt_tr_'+obj.kt_tr_id).length) $j('div#panel_last_kt tr#kt_tr_'+obj.kt_tr_id).replaceWith(obj.kt_tr) ;
       else                                                       $j('div#panel_last_kt tr.head').after(obj.kt_tr) ;
       //$j('div#debug_mo').html('last mo id: '+obj.kt_tr_id) ;
       $j('div.list_mo_sessions td.photo div.img img').hover(panel_image_preview_on,panel_image_preview_off) ;
       $j('.v1').prepare_form({}) ;
       $j('.v2').prepare_ajax({}) ;
   }

}


$j.fn.monitor_WS_interface = function(options)
{ var settings = $j.extend(
           {  'debug' : 0,
              'group' : 0,
              'from_id' : 0,
              'update_url' : '', // не используется
              'update_monitor_back' : 1,   // подгрузка данных каждые 3 сек
              'update_monitor_full' : 60*5, // полное обновление страницы каждые 5 мин
           }, options);

    // полная перезагрузка страницы
    if (settings.update_monitor_full>0)
    {   console.log('Автоматическое обновление страницы мониторинга - каждые '+settings.update_monitor_full+' сек.') ;
    $j('body').everyTime(settings.update_monitor_full*1000,'update_monitor_full',function()
    {
        location.reload() ;
        //location.href='/cab/monitor/?event_id='+last_send_mess_id
    }) ;
    } else console.log('Автоматическое обновление страницы мониторинга отключено') ;

    $j('body').everyTime(1000,'check_tr_count',function(){
        if ($j('div#panel_last_mo table tr.item').length>25) $j('div#panel_last_mo table tr.item').last().remove();
    }) ;

} ;


